Subject: Re: [bug#76963] [PATCH] home: Add home-snuik-service.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Wed, 12 Mar 2025 20:38:14 +0100

Janneke Nieuwenhuizen writes:

> Janneke Nieuwenhuizen writes:
>
> [..]
>>>> diff --git a/doc/guix.texi b/doc/guix.texi
>>>> index d109877a32..f35e156376 100644
>>>> --- a/doc/guix.texi
>>>> +++ b/doc/guix.texi
>>>> @@ -36,7 +36,7 @@
>>>>  Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023 Efraim Flashner@*
>>>>  Copyright @copyright{} 2016 John Darrington@*
>>>>  Copyright @copyright{} 2016, 2017 Nikita Gillmann@*
>>>> -Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024 Janneke Nieuwenhuizen@*
>>>> +Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024, 2025 Janneke Nieuwenhuizen@*
>>>
>>> Maybe use 2016-2025 :-).
>>
>> Hmm.  I thought you needed to have a special exception in the README to
>> be able for that to hold up in court.  I've been postponing to look into
>> this mess (I used to be too heavily into copyright in my LilyPond years).
>> However, it seems today is the day :)
>>
>> From <https://www.gnu.org/prep/maintain/html_node/Copyright-Notices.html>
>>
>> You can use a range (‘2008-2010’) instead of listing individual years
>> (‘2008, 2009, 2010’) if and only if: 1) every year in the range,
>> inclusive, really is a “copyrightable” year that would be listed
>> individually; and 2) you make an explicit statement in a README file
>> about this usage.
>>
>> Sadly, the manual does not seem to give a template to use for this, and
>> I have learnt to stay away from authoring legal texts.  I just asked
>> gnu-prog-discuss about this.
>>
>> I cannot find such a statement in the Guix README?  Ludo'?
>
> Emacs uses
>
> In copyright notices where the copyright holder is the Free Software
> Foundation, then where a range of years appears, this is an inclusive
> range that applies to every year in the range.  For example: 2005-2008
> represents the years 2005, 2006, 2007, and 2008.
>
> so I propose the attached patch.
>
> WDYT?

Sorry, spoke too soon.  The story continues (this is why I shied away
from (looking into) using ranges).

On gru-prog-discuss, Eli Zaretskii writes (in response to my suggestion)

--8<---------------cut here---------------start------------->8---
I think the idea is that you can only vouch for this interpretation
when you are the copyright holder.  So I think you'd need to mention
someone else there instead of the FSF, not just leave it empty.
Because for an arbitrary copyright holder, who's to say what they mean
by a range of years?

But this is just my understanding; IANAL.
--8<---------------cut here---------------end--------------->8---

...TBC

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com